; AUTOMATICALLY GENERATED -- DO NOT EDIT
;
[naming]
name = jakarta-commons-daemon
dist = .win6
version = 1.0.10
release = 9.win6
group = Applications/System
summary = Defines API to support an alternative invocation mechanism
description =
	The scope of this package is to define an API in line with the current
	Java(tm) Platform APIs to support an alternative invocation mechanism
	which could be used instead of the above mentioned public static void
	main(String[]) method.  This specification cover the behavior and life
	cycle of what we define as Java(tm) daemons, or, in other words, non
	interactive Java(tm) applications.
[building]
platform = w2k8-x64
preinstalled = unzip
provides = commons-daemon
buildrequires =
	xbuild
execute = xbuild_version=2.0.5
	pushd $xbuild_dir
	unzip -d dist xbuild-$xbuild_version.zip
	popd
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=i686 make
	$xbuild_dir/dist/xbuild-$xbuild_version/xbuild --verbose --arch=x86_64 make

[files]
output = $name-$version-$release.src.zip:all:src
	 $name-$version-$release.i686.zip:i686:fre
	 $name-$version-$release.x86_64.zip:x86_64:fre
logs =

;[changelog]
;* Wed Sep  5 2012 Mladen Turk <mturk@redhat.com> 1:1.0.10-9 =
;	- Rebuild.
;* Tue Feb 28 2012 Mladen Turk <mturk@redhat.com> 1:1.0.10-8 =
;	- Fix new target location.
;* Tue Feb 28 2012 Mladen Turk <mturk@redhat.com> 1:1.0.10-1 =
;	- Rebase to version 1.0.10.
;* Wed Feb  1 2012 Mladen Turk <mturk@redhat.com> 1:1.0.8-3 =
;	- Rebuild using git repository.
;* Fri Dec  9 2011 Vaclav Tunka <vtunka@redhat.com> - 1:1.0.8-2 =
;	- Rebuild for EAP 6 / EWS 2
;* Tue Nov 29 2011 Mladen Turk <mturk@redhat.com> - 1:1.0.8-1 =
;	- Upgrade to 1.0.8
;* Fri Oct 21 2011 Vaclav Tunka <vtunka@redhat.com> - 1:1.0.7-4 =
;	- Makefile include for general xbuild Makefile
;	- Moving to generated .ini file
;	- Add win build requires for xbuild
;* Tue Oct 18 2011 Vaclav Tunka <vtunka@redhat.com> - 1:1.0.7-3 =
;	- Add fre parameter to the artifact sources
;	- Use local variables inside winspec file
;	- Remove the -win suffix
;	- Add dist property
;	- Add make win-build target to Makefile
;* Wed Oct 12 2011 Vaclav Tunka <vtunka@redhat.com> - 1:1.0.7-2 =
;	- Fixed the description in the ini file
;	- Rebuild
;* Tue Oct 11 2011 Mladen Turk <mturk@redhat.com> - 1:1.0.7-1 =
;	- Upgrade to 1.0.7
;* Mon Jan 17 2011 Permaine Cheung <pcheung@redhat.com> - 1:1.0.5-1 =
;	- Upgrade to 1.0.5
;	- Adding missing BRs
;* Tue Mar 24 2009 Permaine Cheung <pcheung@redhat.com> - 1:1.0.1-6.1 =
;	- Rebuild
;* Mon Nov 03 2008 Fernando Nasser <fnasser@redhat.com> - 1:1.0.1-6 =
;	- Build without AOT
;* Thu Aug 17 2006 Deepak Bhole <dbhole@redhat.com> - 1:1.0.1-6jpp.1 =
;	- Added missing requirements
;	- Fixed bug that cause post/postun to not run when built with --with native
;* Thu Aug 10 2006 Karsten Hopp <karsten@redhat.de> 1.0.1-4jpp_3fc =
;	- Requires(post):     coreutils
;* Wed Jul 19 2006 Deepak Bhole <dbhole@redhat.com> - 1:1.0.1-4jpp_1fc =
;	- Remove name/release/version defines as applicable.
;* Mon Jul 17 2006 Deepak Bhole <dbhole@redhat.com> - 1:1.0.1-3jpp =
;	- Added conditional native build.
;* Wed Apr 12 2006 Ralph Apel <r.apel at r-apel.de> - 1:1.0.1-2jpp =
;	- First JPP-1.7 release
;* Thu Oct 27 2005 Ralph Apel <r.apel at r-apel.de> - 1:1.0.1-1jpp =
;	- Update to 1.0.1
;* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:1.0-2jpp =
;	- Rebuild with ant-1.6.2
;* Tue May 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-1jpp =
;	- Update to 1.0.
;* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 1:1.0-0.alpha.1jpp =
;	- Update to 1.0 alpha, bump epoch.
;	- Non-versioned, crosslinked javadocs.
;	- Build native jsvc with "--with native".
;* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp =
;	- fix ASF license
;* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp =
;	- fix missing packager tag
;	- get latest nightly (20030227)
;	- fix ant lib location for javadoc
;	- added common-launcher jar
;* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp =
;	- clean up spec
;* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp =
;	- use sed instead of bash 2.x extension in link area to make spec compatible
;* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp  =
;	- 1.0 (cvs 20020606)
;	- added short names in %{_javadir}, as does jakarta developpers
;	- first jPackage release
